Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
companystats.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZContactMain", "Language" )
| $locale = new eZLocale( $Language )
| $t
if(!is_numeric( $Year)) if(!is_numeric( $Month)) if(!is_numeric( $Day)) | $company = new eZCompany( $CompanyID )
| $categories =& $company->categories( false, false, 1 )
| $date = new eZDate( $Year, $Month, 1 )
| $counts =& $company->yearViewCounts( $Year )
| $NextYear = $Year + 1
| $PrevYear = $Year - 1
| $cur_date = new eZDate()
| $next_date = new eZDate( $NextYear, 1, 1 )

## Variable Documentation

## ◆ $categories

$categories =& $company->categories( false, false, 1 )

Definition at line 75 of file companystats.php.

## ◆ $company

if (!is_numeric($Year)) if (!is_numeric($Month)) if (!is_numeric($Day)) $company = new eZCompany( $CompanyID )

Definition at line 72 of file companystats.php.

Referenced by eZContactSupplier\item(), and eZContactSupplier\urlList().

## ◆ $counts

$counts =& $company->yearViewCounts( $Year )

Definition at line 83 of file companystats.php.

## ◆ $cur_date

$cur_date = new eZDate()

Definition at line 161 of file companystats.php.

## ◆ $date

$date = new eZDate( $Year, $Month, 1 )

Definition at line 80 of file companystats.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 29 of file companystats.php.

## ◆ $Language

$Language = $ini->variable( "eZContactMain", "Language" )

Definition at line 30 of file companystats.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 33 of file companystats.php.

## ◆ $next_date

$next_date = new eZDate( $NextYear, 1, 1 )

Definition at line 162 of file companystats.php.

## ◆ $NextYear

$NextYear = $Year + 1

Definition at line 146 of file companystats.php.

## ◆ $PrevYear

$PrevYear = $Year - 1

Definition at line 147 of file companystats.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezcontact/admin/" . $ini->variable( "eZContactMain", "AdminTemplateDir" ),
"kernel/ezcontact/admin/intl/", $Language, "companystats.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: companystats.php:30
$ini
$ini
Definition: companystats.php:29

Definition at line 38 of file companystats.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.